Get a single execution task
curl --request GET \
--url https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 512,
"name": "Send HTTP Request",
"started_at": "2026-01-15T09:12:03.123456Z",
"state": "completed",
"child_task_count": 0,
"finished_at": "2026-01-15T09:12:04.654321Z",
"parent_id": 511,
"retries": 0,
"url": "https://eu.phrase.com/orchestrator/manage/workflows/8/workflow_executions/91/tasks/512"
}{
"code": "unauthorized",
"detail": "The request has no valid Phrase Platform JWT issued for Orchestrator. Send one as `Authorization: Bearer <JWT>`.",
"status": 401,
"title": "Unauthorized",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#unauthorized"
}{
"code": "forbidden",
"detail": "The authenticated user isn't allowed to perform this action on the resource.",
"status": 403,
"title": "Forbidden",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#forbidden"
}{
"code": "not_found",
"detail": "The resource doesn't exist, or the authenticated user can't access it.",
"status": 404,
"title": "Not Found",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#not_found"
}{
"code": "unprocessable_content",
"detail": "A parameter doesn't match its schema, or the change isn't allowed in the resource's current state. Each entry in `errors` describes one cause.",
"errors": [
{
"detail": "Has already been taken in this folder.",
"pointer": "/name"
}
],
"status": 422,
"title": "Unprocessable Content",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#unprocessable_content"
}{
"code": "rate_limited",
"detail": "This user's limit of 1000 requests per 300 seconds is used up. Retry in 42 seconds.",
"status": 429,
"title": "Too Many Requests",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#rate_limited"
}{
"code": "internal_server_error",
"detail": "Orchestrator failed unexpectedly. A write may or may not have been applied, so check the resource before retrying it.",
"status": 500,
"title": "Internal Server Error",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#internal_server_error"
}Execution tasks
Get a single execution task
Returns a single execution task, for example to check its state and retries after a failed execution.
GET
/
orchestrator
/
api
/
v1
/
executions
/
{execution_id}
/
tasks
/
{id}
Get a single execution task
curl --request GET \
--url https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/orchestrator/api/v1/executions/{execution_id}/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 512,
"name": "Send HTTP Request",
"started_at": "2026-01-15T09:12:03.123456Z",
"state": "completed",
"child_task_count": 0,
"finished_at": "2026-01-15T09:12:04.654321Z",
"parent_id": 511,
"retries": 0,
"url": "https://eu.phrase.com/orchestrator/manage/workflows/8/workflow_executions/91/tasks/512"
}{
"code": "unauthorized",
"detail": "The request has no valid Phrase Platform JWT issued for Orchestrator. Send one as `Authorization: Bearer <JWT>`.",
"status": 401,
"title": "Unauthorized",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#unauthorized"
}{
"code": "forbidden",
"detail": "The authenticated user isn't allowed to perform this action on the resource.",
"status": 403,
"title": "Forbidden",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#forbidden"
}{
"code": "not_found",
"detail": "The resource doesn't exist, or the authenticated user can't access it.",
"status": 404,
"title": "Not Found",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#not_found"
}{
"code": "unprocessable_content",
"detail": "A parameter doesn't match its schema, or the change isn't allowed in the resource's current state. Each entry in `errors` describes one cause.",
"errors": [
{
"detail": "Has already been taken in this folder.",
"pointer": "/name"
}
],
"status": 422,
"title": "Unprocessable Content",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#unprocessable_content"
}{
"code": "rate_limited",
"detail": "This user's limit of 1000 requests per 300 seconds is used up. Retry in 42 seconds.",
"status": 429,
"title": "Too Many Requests",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#rate_limited"
}{
"code": "internal_server_error",
"detail": "Orchestrator failed unexpectedly. A write may or may not have been applied, so check the resource before retrying it.",
"status": 500,
"title": "Internal Server Error",
"type": "https://developers.phrase.com/en/api/orchestrator/errors#internal_server_error"
}Authorizations
A Phrase Platform JWT issued for Orchestrator, sent as Authorization: Bearer <JWT>. See Authentication and access for how to obtain one.
Path Parameters
Response
OK
A single execution task.
Current state of the execution task: completed (finished successfully), executing (running, or paused in a Sleep step), waiting (a Wait for trigger step waiting for its event), retryable (failed and will be retried), skipped (its condition was false, or it had nothing to do), cancelled (failed, and its downstream tasks don't run) or discarded (raised an error or crashed). available and scheduled aren't used.
Available options:
available, cancelled, completed, discarded, executing, retryable, scheduled, skipped, waiting Example:
"completed"
Was this page helpful?